Name:		lzip
Summary:	Lossless file compressor based on the LZMA algorithm
Summary(de):	Verlustfreier Dateipacker basierend auf dem LZMA Algorithmus
Version:	1.20
Release:	%mkrel 1
Source:		http://mirror.lihnidos.org/GNU/savannah/%{name}-%{version}.tar.xz
Group:		Archiving/Compression
URL:		http://www.nongnu.org/lzip/lzip.html
License:	GPLv3+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: 	%{name} < %version


%description
Lzip is a lossless file compressor based on the LZMA (Lempel-Ziv-Markov
chain-Algorithm) algorithm. The high compression of LZMA comes from
combining two basic, well-proven compression ideas: sliding dictionaries
(i.e. LZ77/78), and markov models (i.e. the thing used by every
compression algorithm that uses a range encoder or similar order-0
entropy coder as its last stage) with segregation of contexts according
to what the bits are used for.

Lzip is not a replacement for gzip or bzip2, but a complement; which
one is best to use depends on user's needs. Gzip is the fastest and most
widely used. Bzip2 compresses better than gzip but is slower, both
compressing and decompressing. Lzip decompresses almost as fast as gzip
and compresses better than bzip2, but requires more memory and time
during compression. These features make lzip well suited for software
distribution and data archival.

%prep
%setup -q

%build
./configure --prefix=/usr CXXFLAGS="%{optflags}"  
%make

%install
%{__rm} -Rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -Rf %{buildroot}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README ChangeLog
%_bindir/%{name}
%_infodir/%{name}.info*
%_mandir/man1/%{name}.1*



%changelog
* Thu Mar 29 2018 ghostbunny <ghostbunny at gmx dot de> 1.20-1pclos2018
- 1.20

* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.19-1pclos2017
- 1.19

* Thu Jun 23 2015 bb <bb> 1.18-1pclos2016
- update

* Sat Feb 14 2015 ghostbunny <ghostbunny at gmx dot de> 1.16-1pclos2015
- 1.16

* Wed Dec 25 2013 ghostbunny <ghostbunny at gmx dot de> 1.15-1pclos2014
- 1.15

